diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/model/tag-buffer.h ns-3.43/src/network/model/tag-buffer.h
--- ns-3.42/src/network/model/tag-buffer.h	2024-05-29 15:29:47.148073700 -0700
+++ ns-3.43/src/network/model/tag-buffer.h	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/model/tag.cc ns-3.43/src/network/model/tag.cc
--- ns-3.42/src/network/model/tag.cc	2024-05-29 15:29:47.148073700 -0700
+++ ns-3.43/src/network/model/tag.cc	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/model/tag.h ns-3.43/src/network/model/tag.h
--- ns-3.42/src/network/model/tag.h	2024-05-29 15:29:47.148073700 -0700
+++ ns-3.43/src/network/model/tag.h	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/model/trailer.cc ns-3.43/src/network/model/trailer.cc
--- ns-3.42/src/network/model/trailer.cc	2024-05-29 15:29:47.148073700 -0700
+++ ns-3.43/src/network/model/trailer.cc	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@cutebugs.net>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/model/trailer.h ns-3.43/src/network/model/trailer.h
--- ns-3.42/src/network/model/trailer.h	2024-05-29 15:29:47.148073700 -0700
+++ ns-3.43/src/network/model/trailer.h	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2005 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/test/bit-serializer-test.cc ns-3.43/src/network/test/bit-serializer-test.cc
--- ns-3.42/src/network/test/bit-serializer-test.cc	2024-05-29 15:29:47.148073700 -0700
+++ ns-3.43/src/network/test/bit-serializer-test.cc	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2020 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/test/buffer-test.cc ns-3.43/src/network/test/buffer-test.cc
--- ns-3.42/src/network/test/buffer-test.cc	2024-05-29 15:29:47.148073700 -0700
+++ ns-3.43/src/network/test/buffer-test.cc	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@cutebugs.net>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/test/drop-tail-queue-test-suite.cc ns-3.43/src/network/test/drop-tail-queue-test-suite.cc
--- ns-3.42/src/network/test/drop-tail-queue-test-suite.cc	2024-05-29 15:29:47.148073700 -0700
+++ ns-3.43/src/network/test/drop-tail-queue-test-suite.cc	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "ns3/drop-tail-queue.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/test/error-model-test-suite.cc ns-3.43/src/network/test/error-model-test-suite.cc
--- ns-3.42/src/network/test/error-model-test-suite.cc	2024-05-29 15:29:47.148073700 -0700
+++ ns-3.43/src/network/test/error-model-test-suite.cc	2024-10-09 16:41:10.072656600 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2007 University of Washington
  * Copyright (c) 2013 ResiliNets, ITTC, University of Kansas
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/test/header-serialization-test.h ns-3.43/src/network/test/header-serialization-test.h
--- ns-3.42/src/network/test/header-serialization-test.h	2024-05-29 15:29:47.148073700 -0700
+++ ns-3.43/src/network/test/header-serialization-test.h	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2022 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Davide Magrin <magrin.davide@gmail.com>
  *          Stefano Avallone <stavallo@unina.it>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/test/ipv6-address-test-suite.cc ns-3.43/src/network/test/ipv6-address-test-suite.cc
--- ns-3.42/src/network/test/ipv6-address-test-suite.cc	2024-05-29 15:29:47.148073700 -0700
+++ ns-3.43/src/network/test/ipv6-address-test-suite.cc	2024-10-09 16:41:10.072656600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "ns3/ipv6-address.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/test/lollipop-counter-test.cc ns-3.43/src/network/test/lollipop-counter-test.cc
--- ns-3.42/src/network/test/lollipop-counter-test.cc	2024-05-29 15:29:47.148073700 -0700
+++ ns-3.43/src/network/test/lollipop-counter-test.cc	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2020 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/test/packetbb-test-suite.cc ns-3.43/src/network/test/packetbb-test-suite.cc
--- ns-3.42/src/network/test/packetbb-test-suite.cc	2024-05-29 15:29:47.148073700 -0700
+++ ns-3.43/src/network/test/packetbb-test-suite.cc	2024-10-09 16:41:10.072656600 -0700
@@ -2,18 +2,7 @@
 /*
  * Copyright (c) 2009 Drexel University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tom Wambold <tom5760@gmail.com>
  */
@@ -94,7 +83,7 @@
 
     int memrv = memcmp(newBuffer.PeekData(), m_refBuffer.PeekData(), newBuffer.GetSize());
 
-    NS_TEST_ASSERT_MSG_EQ(memrv, 0, "serialization faled, buffers differ");
+    NS_TEST_ASSERT_MSG_EQ(memrv, 0, "serialization failed, buffers differ");
 }
 
 void
@@ -166,16 +155,24 @@
      * | * Packet seq number: 3
      * `------------------
      * This test has the phastlv flag set to 1 with no tlvs.
-     * I'll come back to this one later.
+     *
+     * Note: it is not possible to run this test with the current test class.
+     * The bytecode of the packet should be:
+     * - pkt-header (8 bits): 0x0c (phasseqnum and phastlv)
+     * - pkt-seq-num (16 bits): 0x00, 0x03
+     * - tlvs-length (16 bits): 0x00, 0x00 (i.e., no TLVs)
+     *
+     * RFC 5444 doesn't forbid this, but it doesn't foresee it either.
+     * The packet is questionable, but it is not malformed.
      */
-#if 0
-  {
-    Ptr<PbbPacket> packet = Create<PbbPacket> ();
-    packet->SetSequenceNumber (3);
-    uint8_t buffer[] = { 0x0c, 0x00, 0x03, 0x00, 0x00};
-    AddTestCase (new PbbTestCase ("3", packet, buffer, sizeof(buffer)), TestCase::Duration::QUICK);
-  }
-#endif
+    {
+        Ptr<PbbPacket> packet = Create<PbbPacket>();
+        packet->SetSequenceNumber(3);
+        packet->ForceTlv(true);
+        uint8_t buffer[] = {0x0c, 0x00, 0x03, 0x00, 0x00};
+        AddTestCase(new PbbTestCase("3", packet, buffer, sizeof(buffer)),
+                    TestCase::Duration::QUICK);
+    }
 
     /* Test 4
      * ,------------------
@@ -732,64 +729,9 @@
     }
 
     /* Test 13
-     * ,------------------
-     * |  PACKET
-     * |------------------
-     * | * Packet version:    0
-     * | * Packet flags:  12
-     * | * Packet seq number: 13
-     * |    | * Packet TLV Block
-     * |    |     - TLV
-     * |    |         Flags = 0
-     * |    |         Type = 1; Value = (warning: parameter is NULL)
-     * |    ,-------------------
-     * |    |  MESSAGE
-     * |    |-------------------
-     * |    | * Message type:       1
-     * |    | * Message flags:  0
-     * |    `-------------------
-     * |
-     * |    ,-------------------
-     * |    |  MESSAGE
-     * |    |-------------------
-     * |    | * Message type:       2
-     * |    | * Message flags:  240
-     * |    | * Originator address: 10.0.0.1
-     * |    | * Hop limit:          255
-     * |    | * Hop count:          1
-     * |    | * Message seq number: 12345
-     * |    `-------------------
-     * |
-     * `------------------
+     * Test 13 has been removed because it was identical to test 12
+     * The following tests have not been renumbered
      */
-    {
-        Ptr<PbbPacket> packet = Create<PbbPacket>();
-        packet->SetSequenceNumber(13);
-
-        Ptr<PbbTlv> tlv1 = Create<PbbTlv>();
-        tlv1->SetType(1);
-        packet->TlvPushBack(tlv1);
-
-        Ptr<PbbMessageIpv4> msg1 = Create<PbbMessageIpv4>();
-        msg1->SetType(1);
-        packet->MessagePushBack(msg1);
-
-        Ptr<PbbMessageIpv4> msg2 = Create<PbbMessageIpv4>();
-        msg2->SetType(2);
-        msg2->SetOriginatorAddress(Ipv4Address("10.0.0.1"));
-        msg2->SetHopLimit(255);
-        msg2->SetHopCount(1);
-        msg2->SetSequenceNumber(12345);
-        packet->MessagePushBack(msg2);
-
-        uint8_t buffer[] = {
-            0x0c, 0x00, 0x0d, 0x00, 0x02, 0x01, 0x00, 0x01, 0x03, 0x00, 0x06,
-            0x00, 0x00, 0x02, 0xf3, 0x00, /* [14] - 0xf0 */
-            0x0e, 0x0a, 0x00, 0x00, 0x01, 0xff, 0x01, 0x30, 0x39, 0x00, 0x00,
-        };
-        AddTestCase(new PbbTestCase("13", packet, buffer, sizeof(buffer)),
-                    TestCase::Duration::QUICK);
-    }
 
     /* Test 14
      * ,------------------
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/test/packet-metadata-test.cc ns-3.43/src/network/test/packet-metadata-test.cc
--- ns-3.42/src/network/test/packet-metadata-test.cc	2024-05-29 15:29:47.148073700 -0700
+++ ns-3.43/src/network/test/packet-metadata-test.cc	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2006,2007 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/test/packet-socket-apps-test-suite.cc ns-3.43/src/network/test/packet-socket-apps-test-suite.cc
--- ns-3.42/src/network/test/packet-socket-apps-test-suite.cc	2024-05-29 15:29:47.148073700 -0700
+++ ns-3.43/src/network/test/packet-socket-apps-test-suite.cc	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 Universita' di Firenze
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/test/packet-test-suite.cc ns-3.43/src/network/test/packet-test-suite.cc
--- ns-3.42/src/network/test/packet-test-suite.cc	2024-05-29 15:29:47.148073700 -0700
+++ ns-3.43/src/network/test/packet-test-suite.cc	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2005,2006 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/test/pcap-file-test-suite.cc ns-3.43/src/network/test/pcap-file-test-suite.cc
--- ns-3.42/src/network/test/pcap-file-test-suite.cc	2024-05-29 15:29:47.148073700 -0700
+++ ns-3.43/src/network/test/pcap-file-test-suite.cc	2024-10-09 16:41:10.072656600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author:  Craig Dowell (craigdo@ee.washington.edu)
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/test/sequence-number-test-suite.cc ns-3.43/src/network/test/sequence-number-test-suite.cc
--- ns-3.42/src/network/test/sequence-number-test-suite.cc	2024-05-29 15:29:47.148073700 -0700
+++ ns-3.43/src/network/test/sequence-number-test-suite.cc	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 //
 // Copyright (c) 2008-2010 INESC Porto
 //
-// This program is free software; you can redistribute it and/or modify
-// it under the terms of the GNU General Public License version 2 as
-// published by the Free Software Foundation;
-//
-// This program is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with this program; if not, write to the Free Software
-// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+// SPDX-License-Identifier: GPL-2.0-only
 //
 // Author: Gustavo J. A. M. Carneiro  <gjc@inescporto.pt> <gjcarneiro@gmail.com>
 //
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/test/test-data-rate.cc ns-3.43/src/network/test/test-data-rate.cc
--- ns-3.42/src/network/test/test-data-rate.cc	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/test/test-data-rate.cc	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) Facebook, Inc. and its affiliates.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Greg Steinbrecher <grs@fb.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/address-utils.cc ns-3.43/src/network/utils/address-utils.cc
--- ns-3.42/src/network/utils/address-utils.cc	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/address-utils.cc	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2006 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/address-utils.h ns-3.43/src/network/utils/address-utils.h
--- ns-3.42/src/network/utils/address-utils.h	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/address-utils.h	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2006 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/bit-deserializer.cc ns-3.43/src/network/utils/bit-deserializer.cc
--- ns-3.42/src/network/utils/bit-deserializer.cc	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/bit-deserializer.cc	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2020 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/bit-deserializer.h ns-3.43/src/network/utils/bit-deserializer.h
--- ns-3.42/src/network/utils/bit-deserializer.h	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/bit-deserializer.h	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2020 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/bit-serializer.cc ns-3.43/src/network/utils/bit-serializer.cc
--- ns-3.42/src/network/utils/bit-serializer.cc	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/bit-serializer.cc	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2020 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
